jenkins

spring -boopt 启动脚本

JAVA_OPTIONS_INITIAL=-Xms128M
JAVA_OPTIONS_MAX=-Xmx512M
JAVA_OPTS=--spring.profiles.active=dev
_JAR_KEYWORDS=wx-0.0.1-SNAPSHOT.jar
APP_NAME=wx-0.0.1-SNAPSHOT
APPLICATION_FILE=/opt/scpip_monitor/application.properties
PID=$(ps aux | grep ${_JAR_KEYWORDS} | grep -v grep | awk '{print $2}' )


function check_if_process_is_running {
if [ "$PID" = "" ]; then
return 1
fi
ps -p $PID | grep "java"
return $?
}


case "$1" in
status)
if check_if_process_is_running
then
echo -e "33[32m $APP_NAME is running 33[0m"
else
echo -e "33[32m $APP_NAME not running 33[0m"
fi
;;
stop)
if ! check_if_process_is_running
then
echo -e "33[32m $APP_NAME already stopped 33[0m"
exit 0
fi
kill -9 $PID
echo -e "33[32m Waiting for process to stop 33[0m"
NOT_KILLED=1
for i in {1..20}; do
if check_if_process_is_running
then
echo -ne "33[32m . 33[0m"
sleep 1
else
NOT_KILLED=0
fi
done
echo
if [ $NOT_KILLED = 1 ]
then
echo -e "33[32m Cannot kill process 33[0m"
exit 1
fi
echo -e "33[32m $APP_NAME already stopped 33[0m"
;;
start)
if [ "$PID" != "" ] && check_if_process_is_running
then
echo -e "33[32m $APP_NAME already running 33[0m"
exit 1
fi
BUILD_ID=dontKillMe nohup java -jar $JAVA_OPTIONS_INITIAL $JAVA_OPTIONS_MAX $_JAR_KEYWORDS $JAVA_OPTS > nobup 2>&1 &
echo -ne "33[32m Starting 33[0m"
for i in {1..20}; do
echo -ne "33[32m.33[0m"
sleep 1
done
if check_if_process_is_running
then
echo -e "33[32m $APP_NAME fail 33[0m"
else
echo -e "33[32m $APP_NAME started 33[0m"
fi
;;
restart)
$0 stop
if [ $? = 1 ]
then
exit 1
fi
$0 start
;;
*)
echo "Usage: $0 {start|stop|restart|status}"
exit 1
esac

exit 0

原文地址:https://www.cnblogs.com/CaptainLin/p/7364693.html